<?php declare(strict_types=1);

namespace %NAMESPACE%;

use Ulmus\ConnectionAdapter;

require_once dirname(__DIR__) . '/vendor/autoload.php';

new class(dirname(__DIR__)) extends \Lean\Kernel {

    public array $paths = [
        'CACHE_PATH' => "CACHE_DIR",
        'LOGS_PATH' => "LOGS_DIR",
        'META_PATH' => "META_DIR",
        'PUBLIC_PATH' => "PUBLIC_DIR",
        'PRIVATE_PATH' => "PRIVATE_DIR",
        'VIEW_PATH' => "VIEW_DIR",
    ];

    protected function initializeEngine() : self
    {
        $this->errorLogPath = getenv("LOGS_PATH") . DIRECTORY_SEPARATOR. date("Y-m").".log";

        $this->definitionFilePath = implode(DIRECTORY_SEPARATOR, [ getenv('META_PATH'), 'definitions', 'definitions.php' ]);

        return parent::initializeEngine();
    }

    protected function serviceContainer() : self
    {
        # $this->container->get(ConnectionAdapter::class);

        return parent::serviceContainer();
    }

};
