<?php

use function DI\create, DI\autowire, DI\get;

use Dump\DumpMiddleware;

if ($_GET['sql'] ?? false) {
    \Ulmus\Common\PdoObject::$dump = "dump";
}

return [
    "dump" => create(DumpMiddleware::class),
    "errorHandler" => create(Middlewares\Whoops::class),
    'routes.caching' => create(Kash\ArrayCache::class)->constructor(get(Kash\CacheInvalidator::class), "lean.routes", 30),
    'breadcrumbs.caching' => create(Kash\ArrayCache::class)->constructor( get(Kash\CacheInvalidator::class), "lean.breadcrumbs", 30),
    'ulmus.caching' => create(Kash\ArrayCache::class)->constructor( get(Kash\CacheInvalidator::class), "ulmus.entities", 30),
    'cronard.caching' => create(Kash\ArrayCache::class)->constructor( get(Kash\CacheInvalidator::class), "lean.cronards", 30),
];
